package cn.ey.biz.module.system.service.wiki;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.controller.admin.errorcode.vo.ErrorCodeCreateReqVO;
import cn.ey.biz.module.system.controller.admin.errorcode.vo.ErrorCodeRespVO;
import cn.ey.biz.module.system.controller.admin.wiki.vo.*;

import javax.validation.Valid;
import java.util.List;

public interface WikiSpaceService {

    /**
     * 创建
     * @param createReqVO
     */
    void createWikiSpace(@Valid WikiSpaceCreateReqVO createReqVO);

    /**
     * 修改
     * @param updateReqVO
     */
    void updateWikiSpace(@Valid WikiSpaceUpdateReqVO updateReqVO);

    /**
     * 获得
     * @param id
     */
    WikiSpaceRespVO getWikiSpace(@Valid Long id);

    /**
     * 删除
     * @param id
     */
    void deleteWikiSpace(@Valid Long id);

    /**
     *分页
     * @param pageReqVO
     */
    PageResult<WikiSpaceRespVO> getWikiSpacePage(WikiSpacePageReqVO pageReqVO);

    /**
     * 发布
     * @param id
     */
    void release(@Valid Long id);

    /**
     * 查询
     * @return
     */
    List<WikiSpaceRespVO> getListByType(@Valid WikiSpaceTypeReqVO reqVO);

    /**
     * 查询space对应所有图片
     * @param id,type,seqNum
     */
    List<String> getImageById(Long id);

}
